Subject: Re: Open Sourcing Automotive Diagnostics

From: Ryan Petris via PLUG-discuss <[email-masked]>
Date: Thu, 13 Feb 2025 08:44:21 -0700

I have an OBDLink MX+ OBD2 (https://www.amazon.com/gp/product/B07JFRFJG6) that I use with BimmerCode (an Android app) to change a handful of settings on my 2016 535d, such as getting rid of the seatbelt chime and some other annoying things. It can do a bunch of other things to the car too as most things in the system are unlocked. I've heard however that newer models have things more locked down however.

None of that is open source iirc but at least there's a tool to be able to change stuff. You can also find the official BMW service software for free floating around online.

What I'd like to get at some point is a pre-emissions diesel truck (i.e. something before ~2003) where I can basically do whatever without having to worry about emissions, lockouts, etc.

On Thu, Feb 13, 2025, at 8:35 AM, greg zegan wrote:
> 
> Thank you all for your feedback.
>  Good points and I agree with those all.
> Starting to see the value in a EE degree because you can do so much with it in this area.
> 
> I think I said this once before but I will say it again.  I had a CSC course at SCC years ago and the last assignment the teacher gave us was an essay.
> He asked the question: "If you could write a program that would put people out of work would you do and if so why?"
> 
> To this day I think about that and the class was in 1998.  In this case I could see myself helping a farmer with a CNHI or John Deere tractor that was broken down because of a malfunctioning sensor and get his tractor up and running so he/she could get the seed planted or harvest a crop.  I think for profit companies are valuable, but the older I get the more I start to see a balance is necessary and community is as important to me and I know some of you would agree.
> 
> That said, I hear in the news about how Kia cars are being hacked in cities like Milwaukee so this subject is of interest to me because it would help save a car owner from loosing a car and insurance companies from losing money.  Everyone wins if the crime is lower in a community.
> 
> Please let me know if anyone has used a OBDLink adapter cable and either Open Source software on a Linux or Windows machine to service your vehicle.
> 
> And if I had to pick a muscle car I would pick either the old Fastback Mustang or a Barracuda.
> thanks,
> Greg
> On Thursday, February 13, 2025 at 08:00:51 AM MST, Ryan Petris via PLUG-discuss <[email-masked]> wrote:
> 
> 
> I don't know about getting rid of *all* emissions regulations, but at least those that cause undue stress on the engines and extra unnecessary cost would be great. For instance, catalytic converters generally aren't a problem; they're just there in the exhaust and actually help to reduce the noise; it's only when they get clogged that's a problem. However, other systems like the EGR system gum up the intakes and cause problems over time. Additionally, I drive a diesel and the whole SCR system absurd both in complexity and cost to save a minuscule amount of emissions.
> 
> I've been following Rossmann for a long time and he has a lot of good takes on stuff. I don't know about forcing manufacturers to make parts available, however the manufacturer shouldn't be able to enter into agreements to make parts unavailable. For instance Apple will go to manufacturers to make slight generally unnecessary changes to their chips and then have them sign an agreement saying that they'll only sell said chips to Apple, so then you're unable to procure replacement parts from outside sources like DigiKey.
> 
> Then there's the digital lockout of systems requiring some kind of programmer to get replacement parts to talk to eachother, which Apple is guilty of and I believe John Deere does the same. In that case, I'd say that yeah there should be some way for a regular consumer to at least override/bypass that so that they can get their equipment to work on their own without the manufacturer being involved.
> 
> There's another Youtuber similar to Rossmann named Dave Jones, who runs the EEVBlog YouTube channel: https://www.youtube.com/@EEVblog
> 
> I think one of his sayings is something like "you don't own it until you've voided the warranty".
> 
> On that note, if y'all are looking for modular/repairable laptops, I've been buying laptops from Framework since they came into existence something like 5 years ago now. They've been pretty good. They're about to release some new stuff on the 25th. https://frame.work/
> 
> So far they have a 13 and 16 inch chassis with various board options. The 13 inch has had several generations of intel, the 11th, 12th, 13th, and the more recent 1X5H chips (whatever "generation" those are now), as well as an AMD 7X40 version. The 16 inch has only had a 7X40 mainboard version but it's only a year old; I'm hoping for an upgraded mainboard in the announcement in a couple weeks.
> 
> On Thu, Feb 13, 2025, at 7:37 AM, Keith Smith via PLUG-discuss wrote:
>> 
>> I was a Chevy man during my youth.  I found Chevy's where easy to work 
>> on and I generally just liked their cars.
>> 
>> In AZ emissions is required for all cars 67 and newer.  Might be 68.  I 
>> understand that the Trump Administration might be doing away with 
>> emissions requirements. I sure hope so. The oil embargo and emissions 
>> killed the muscle car era.
>> 
>> Sometime ago I ran into this guy : 
>> https://www.youtube.com/@rossmanngroup/videos
>> 
>> Are you aware of him?
>> 
>> I think if you buy something you should have the right to repair it.  
>> That includes access to reasonably priced parts and even having the 
>> manuals online.
>> 
>> John Deere has found itself on the wrong side of the right to repair 
>> issue and look what it is costing them.
>> 
>> I support your effort!!!  It is the American way to stand up for what is 
>> right, and if that includes Linux, I am extremely excited.
>> 
>> Keith
>> 
>> 
>> On 2025-02-12 21:12, Pablo Camacho via PLUG-discuss wrote:
>> > I agree with the points that you made, Keith. Indeed, very true,
>> > electronics will not last as long as the car, yet the use of the car
>> > depends on them.
>> > 
>> > I like less electronics in my car as well which is why I tried to
>> > maintain my 2001 Hyundai Accent for as long as I could.
>> > 
>> > My dream car would be one that is modular, easy to repair, and has
>> > easy access to critical parts in the engine bay that can be replaced.
>> > The car version of a Framework laptop.
>> > 
>> > On Wed, Feb 12, 2025 at 7:02 PM Keith Smith via PLUG-discuss
>> > <[email-masked]> wrote:
>> > 
>> >> I might step on some toes so forgive me up front.
>> >> 
>> >> You said "I am very interested in using a Linux based computers and
>> >> Open
>> >> Source computer systems to diagnose and maintain automobiles..."
>> >> 
>> >> I'm an old guy. From around 1972 to around 1984 I was a muscle car
>> >> guy.
>> >> No electronics in those cars.  I like it that way.
>> >> 
>> >> I hate that cars have electrons.  I'm ok with an am/fm radio,
>> >> electric
>> >> windows (to a point),  anything else is too much for me.
>> >> 
>> >> You buy a car today and it's electronics are outdated in 5 years.
>> >> The
>> >> car can go 30 years/300k miles. But the electronics cannot keep up.
>> >> 
>> >> Ok so what you are thinking of doing sounds exciting, especially if
>> >> you
>> >> can replace the manufacture's electronics with some Linux based
>> >> homegrown system.
>> >> 
>> >> Right to Repair is a big deal and you might be on the leading edge
>> >> of
>> >> something big...
>> >> 
>> >> Keith
>> >> 
>> >> On 2025-02-12 18:13, greg zegan via PLUG-discuss wrote:
>> >>> I have been wanting to ask about this subject as well because I am
>> >>> seriously considering this subject:
>> >>> 
>> >>> OPEN SOURCING AUTOMOTIVE DIAGNOSTICS
>> >>> 
>> >>> Open Sourcing Automotive Diagnostics [1]
>> >>> 
>> >>> OPEN SOURCING AUTOMOTIVE DIAGNOSTICS
>> >>> 
>> >>> I am very interested in using a Linux based computers and Open
>> >> Source
>> >>> computer systems to diagnose and maintain automobiles.  I really
>> >> think
>> >>> there could be an open market on repairs because of the cost of
>> >> modern
>> >>> automobiles and tractors is so high.
>> >>> 
>> >>> I use to work for CNHI for a short contract a few years ago and
>> >> they
>> >>> along with John Deere are causing farmers to complain to the point
>> >> of
>> >>> states like Nebraska coming out with laws making it legal for them
>> >> to
>> >>> "hack" the computer system so they can use a malfunctioning
>> >> computer
>> >>> system in a tractor and get their crop harvested or planted.
>> >>> 
>> >>> I heard in the Ukraine they are openly providing hacks and cracks
>> >> to
>> >>> the farmers so they can use the tractors saving them money.
>> >> American
>> >>> farmers were rumored to be downloading these tools to fix their
>> >>> computer systems here in America.
>> >>> 
>> >>> I would really like to see free market forces in play for auto
>> >> owners
>> >>> so they can remove factory equipment favor of open source products
>> >> and
>> >>> computer systems that would compliment this activity.
>> >>> 
>> >>> Beyond that, I would find it very interesting if there were a
>> >> forum
>> >>> and symposium on this subject here in the Phoenix area.  It would
>> >>> offer a range of subjects such as securing your auto and how to
>> >> get
>> >>> the most out of an auto.
>> >>> 
>> >>> So if you have ideas please share.
>> >>> 
>> >>> thanks,
>> >>> Greg
>> >>> 
>> >>> 
>> >>> 
>> >>> Links:
>> >>> ------
>> >>> [1] https://www.youtube.com/watch?v=2qcBVxCZr4k
>> >>> ---------------------------------------------------
>> >>> PLUG-discuss mailing list: [email-masked]
>> >>> To subscribe, unsubscribe, or to change your mail settings:
>> >>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>> >> ---------------------------------------------------
>> >> PLUG-discuss mailing list: [email-masked]
>> >> To subscribe, unsubscribe, or to change your mail settings:
>> >> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>> > ---------------------------------------------------
>> > PLUG-discuss mailing list: [email-masked]
>> > To subscribe, unsubscribe, or to change your mail settings:
>> > https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>> ---------------------------------------------------
>> PLUG-discuss mailing list: [email-masked]
>> To subscribe, unsubscribe, or to change your mail settings:
>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>> 
> 
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss